#ifndef STATUSWINDOW_H
#define STATUSWINDOW_H

#include <QWidget>
#include <QStringList>


//#define GENERAL_MESSAGES_MAX_LOG_LINES 5000

namespace Ui {
class CStatusWindow;
}

class CLogsSorter;

class CStatusWindow : public QWidget
{
    Q_OBJECT

public:
    explicit CStatusWindow(QWidget *parent = 0);
    ~CStatusWindow();
    CLogsSorter *mProgramPtr;

    int AddGeneralMsgBoxLineEntry(QString NewLine,QColor Color);
    int AddColoredLineToGenMsgBox(QString Line,QColor Color);
    int AddLineToGenMsgBox(QString Line);

    QStringList mGenMsgListBoxTextLines;

public slots:
    void ManualScanBtnPressed();

private:
    Ui::CStatusWindow *ui;
};

#endif // STATUSWINDOW_H
